Bug 430957 - evince needs gsftopk/mktexpk from texlive-utils to render certain DVI files
evince needs gsftopk/mktexpk from texlive-utils to render certain DVI files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 14:35 EST by Joachim Frieben
Modified: 2013-04-02 00:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:32:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
TeX DVI file created from A&A standard article template (18.59 KB, application/x-dvi)
2008-01-30 14:35 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2008-01-30 14:35:52 EST
Description of problem:
After installing the latest evince package, a test with a sample DVI file
fails, and mktexpk complains about the absence of command gsftopk needed
to create certain fonts.

Version-Release number of selected component (if applicable):
evince-2.21.90-2.fc9

How reproducible:
Always.

Steps to Reproduce:
1. Update to latest evince.
2. Open aa.dvi with evince.
  
Actual results:
The DVI file is rendered with many mistakes in math equations. When
evince is launched from the shell, mktexpk repeatedly complains that
it cannot find command gsftopk:

  kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 0+570/600
    --dpi 570 rtxphvb
  /usr/bin/mktexpk: line 141: gsftopk: command not found
  mktexpk: don't know how to create bitmap font for rtxphvb.
  kpathsea: Appending font creation commands to missfont.log.
  ...

Expected results:
Correct rendering of the DVI file.

Additional info:
- Execution of 'repoquery --whatprovides /usr/bin/gsftopk' returns
  texlive-utils-0:2007-16.fc9.x86_64
- After installing texlive-utils, the gsftopk error messages do not
  show up again, and the file is rendered more or less correctly.
Comment 1 Joachim Frieben 2008-01-30 14:35:52 EST
Created attachment 293475 [details]
TeX DVI file created from A&A standard article template
Comment 2 Matthias Clasen 2008-02-02 14:45:23 EST
this is a kpathsea dependency issue.
Comment 3 Joachim Frieben 2008-02-21 15:36:27 EST
As of 2008-02-21 for "rawhide", 'repoquery --whatrequires texlive-utils'
doesn't return any package which requires texlive-utils.
Comment 4 Jindrich Novy 2008-02-22 05:17:05 EST
It seems texlive-utils needs to be added to Requires in evince, for more
information see:

https://www.redhat.com/archives/fedora-devel-list/2008-February/msg01825.html
Comment 5 Joachim Frieben 2008-02-22 07:12:14 EST
(In reply to comment #4)
> It seems texlive-utils needs to be added to Requires in evince

This is what I originally had in mind but according to comment #2,
M. Clasen seemed to prefer a dependency of kpathsea [which is part
of texlive] on texlive-utils.
Comment 6 Jindrich Novy 2008-02-22 07:24:43 EST
kpathsea and its dependency on texlive is another story, which is now solved by
evince-dvi, dependent on kpathsea and maybe also dependent on texlive package.
In my current understanding the texlive-utils Requires really needs to be added
to evince-dvi to ensure that gsftopk is installed if evince uses it.
Comment 7 Joachim Frieben 2008-03-22 11:48:08 EDT
Executing 'rpm -e --test texlive-utils texlive-latex latex2html
asymptote tex-preview texi2html texlive-texmf-latex' without+
complaint on my current "rawhide system shows that gsftopk which
is part of texlive-utils still is not required by evince-dvi.
Comment 8 Joachim Frieben 2008-04-23 17:36:21 EDT
After a fresh "rawhide" install, I still run into the same problem:

Installing:
 evince-dvi              x86_64  2.22.1.1-1.fc9  rawhide    78 k
Installing for dependencies:
 kpathsea                x86_64  2007-28.fc9     rawhide   114 k
 texlive                 x86_64  2007-28.fc9     rawhide   2.2 M
 texlive-texmf           noarch  2007-20.fc9     rawhide   3.5 M
 texlive-texmf-dvips     noarch  2007-20.fc9     rawhide   377 k
 texlive-texmf-errata    noarch  2007-4.fc9      rawhide   3.7 k
 texlive-texmf-errata-dvips  noarch  2007-4.fc9      rawhide   3.6 k
 texlive-texmf-errata-fonts  noarch  2007-4.fc9      rawhide   3.7 k
 texlive-texmf-fonts     noarch  2007-20.fc9      rawhide   56 M

After opening a DVI file with evince, it needs to create pk files for
certain fonts. Result:

 kpathsea: Running mktexpk ..
 mktexpk: No such file or directory

Only after additionally installing texlive-utils which provides mktexpk
but is not required by any installed package, it is possible to view
the DVI file.
Comment 9 Bug Zapper 2008-05-14 00:56:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-06-09 19:27:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Joachim Frieben 2009-06-10 09:18:14 EDT
'evince-dvi' still does not require texlive-utils, and the latter is not pulled in by any required package either. This has the following effect after executing 'evince aa.dvi':

  ...
  kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+0/600 --dpi 600 cmr10
  mktexpk: No such file or directory
  page: Warning: font `rtxsl' not found, trying metric files instead
  page: Error: /usr/share/texmf/fonts/tfm/public/txfonts/rtxsl.tfm:
  File corrupted, or not a TFM file
  ... ,

and so on. However, 'mktexpk' is part of package texlive-utils. After installing texlive-utils, too, the DVI file is opened and rendered correctly. Thus, texlive-utils is still necessary even though now, 'mktexpk' appears to be needed instead of 'gsftopk'.
Comment 12 Joachim Frieben 2009-06-10 09:21:07 EDT
I forgot to mention that without texlive-utils, 'evince' crashes, and 'bug-buddy' pops up asking the user to provide information on the crash.
Comment 14 Joachim Frieben 2009-11-13 12:09:40 EST
For a fully updated F11 system, package evince-dvi only pulls in package kpathsea but not the also required package texlive-utils causing the same error messages as reported in the original report.
- evince-2.26.2-1.fc11.i586
- kpathsea-2007-46.fc11.i586
Thus, either evince or kpathsea should depend on texlive-utils.
Comment 15 Bug Zapper 2010-04-27 07:53:44 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-06-28 06:32:12 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.